ranges::actions::take_while_fn Struct Reference

## Synopsis of methods

constexpr take_while_fn | take_while {}

## Public Member Functions

template<typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires `(!range< Fun >)) ccconstexpr auto operator()(Fun fun) const
template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | R (requires ` forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_unary_predicate< Fun, iterator_t< Rng >>) RRRng operator()(Rng &&rng
return | static_cast (rng)

## Public Attributes

CPP_TEMPLATE_AUX_0 Fun fun | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Fun fun ranges::actions::take_while_fn::const

Initial value:
{
ranges::actions::erase(
rng, find_if_not(begin(rng), end(rng), std::move(fun)), end(rng))
ranges::begin
constexpr _begin_::fn begin
Definition: access.hpp:187
ranges::end
constexpr _end_::fn end
Definition: access.hpp:332
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52